Skip to content

Get personality profile

GET
/api/v1/tuning/personality/{agent_role}
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/tuning/personality/example \
--header 'X-API-Key: <X-API-Key>'

Get personality profile for an agent.

agent_role
required
Agent Role
string

Successful Response

Media typeapplication/json
PersonalityProfileResponse

Response body for a personality profile.

object
agent_role
required
Agent Role
string
avg_consistency
required
Avg Consistency
number
id
required
Id
string format: uuid
last_drift_alert_at
Any of:
string format: date-time
tone_dimensions
required
Tone Dimensions
object
key
additional properties
number
updated_at
required
Updated At
string format: date-time
Examplegenerated
{
"agent_role": "example",
"avg_consistency": 1,
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"last_drift_alert_at": "2026-04-15T12:00:00Z",
"tone_dimensions": {
"additionalProperty": 1
},
"updated_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}